Bug 833158 - RFE: at shutdown, systemd loses rsyslog error messages such as: error on 'reboot': Failed to start Show Plymouth Reboot Screen
RFE: at shutdown, systemd loses rsyslog error messages such as: error on 'reb...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
rawhide
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jiří Vymazal
Fedora Extras Quality Assurance
:
Depends On: 833156
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 13:55 EDT by R P Herrold
Modified: 2018-01-25 04:21 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 833156
Environment:
Last Closed: 2018-01-19 07:13:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2012-06-18 13:55:56 EDT
+++ This bug was initially created as a clone of Bug #833156 +++

Description of problem:

error messages displayed during a reboot are 'lost' at shutdown

They should persist by being saved into the log files, so they may be studied and resolved

error message showing , in red:

[  OK  ] Stopped Set time via NTP.
         Starting Show Plymouth Reboot Screen...
         Stopping Permit User Sessions...
[FAILED] Failed to start Show Plymouth Reboot Screen.
         See 'systemctl status plymouth-reboot.service' for details.
[  OK  ] Stopped System Logging Service

Version-Release number of selected component (if applicable):

systemd-44-12.fc17.armv5tel

How reproducible:

VFAD 2 test day, vexpress image, updated with yum and them rebooted

Steps to Reproduce:

as above
  
Actual results:

[  OK  ] Stopped Set time via NTP.
         Starting Show Plymouth Reboot Screen...
         Stopping Permit User Sessions...
[FAILED] Failed to start Show Plymouth Reboot Screen.
         See 'systemctl status plymouth-reboot.service' for details.
[  OK  ] Stopped System Logging Service

Expected results:

persistence of the error message, through a reboot, via placing errors into /var/log/messages so long as the syslogd is still running (which should be quite late in a shutdown process, to permit catching such)

Additional info:

This bug cloned from its parent, and implies a need for an RFE to systemd, to persist error messages across reboots, probably into: var/log/messages
Comment 1 Lennart Poettering 2012-09-14 10:08:21 EDT
The journal stays around until very late and will show you this data on F18 (journalctl). If you want that rsyslog stays longer around to collect this data, please file a separate bug so that they mark their service file as special, so that it can stay around.
Comment 2 R P Herrold 2017-11-24 10:18:30 EST
reading comment 1

seemingly, an addition for rsyslog in its systemd configuration file is needed to persist running until the RW filesystem is umounted
Comment 3 Jiří Vymazal 2017-12-12 08:59:31 EST
Please try to switch your journald to persistent storage, this should help to fix your problem (Storage=persistent in /etc/systemd/journald.conf).
Comment 4 R P Herrold 2017-12-12 11:11:27 EST
@Jiří Vymazal

thank you for the comment

[herrold@centos-7 ~]$ grep -v ^# /etc/systemd/journald.conf

[Journal]
[herrold@centos-7 ~]$ grep -i "storage" /etc/systemd/journald.conf
#Storage=auto
[herrold@centos-7 ~]$ rpm -qf /etc/systemd/journald.conf
systemd-219-42.el7_4.4.x86_64
[herrold@centos-7 ~]$ 

I dunno that a fix for my particular configuration, or a smarter 'auto' setting in systemd is the issue in play

testing
Comment 5 R P Herrold 2017-12-14 15:07:10 EST
reading the man page, it seems also a file needs to be touched, in addition to moving from 'auto' to 'persistent':

[root@centos-7 ~]# man 5 journald.conf
[root@centos-7 ~]# ls -al /var/log/journal
ls: cannot access /var/log/journal: No such file or directory
[root@centos-7 ~]# touch /var/log/journal
[root@centos-7 ~]# restorecon -Rv /var/log/journal

one concern:
Will this be picked up by logrotate, or grow without limit?

still testing
Comment 6 Jiří Vymazal 2018-01-19 07:13:22 EST
I am going to close this as I believe that in latest fedora+rsyslog, and using persistent storage this issue is fixed, in case of problems please reopen/file new report.

Note You need to log in before you can comment on or make changes to this bug.